Send Poll
curl --request POST \
--url https://api.zapkey.io/message/sendPoll/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"pollMessage": {
"name": "<string>",
"selectableCount": 2,
"values": [
"<string>"
]
},
"options": {
"delay": 123
}
}
'import requests
url = "https://api.zapkey.io/message/sendPoll/{instance}"
payload = {
"number": "<string>",
"pollMessage": {
"name": "<string>",
"selectableCount": 2,
"values": ["<string>"]
},
"options": { "delay": 123 }
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
pollMessage: {name: '<string>', selectableCount: 2, values: ['<string>']},
options: {delay: 123}
})
};
fetch('https://api.zapkey.io/message/sendPoll/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "553198296801@s.whatsapp.net",
"fromMe": true,
"id": "BAE53EC8D8E1FD8A"
},
"message": {
"messageContextInfo": {
"messageSecret": "lX/+cLHHNfnTTKZi+88mrhoyi6KNuUzWjgfaB0bTfOY="
},
"pollCreationMessage": {
"name": "Poll Name",
"options": [
{
"optionName": "Option 1"
},
{
"optionName": "Option 2"
},
{
"optionName": "Option 3"
}
],
"selectableOptionsCount": 1
}
},
"messageTimestamp": "1717781848",
"status": "PENDING"
}Enviar Mensagens
Send Poll
Send Poll
POST
/
message
/
sendPoll
/
{instance}
Send Poll
Authorizations
Your authorization key header
Path Parameters
ID of the instance to connect
Body
application/json
Response
201 - application/json
Created
The key of the message, which identifies the message in the chat.
Show child attributes
Show child attributes
The message content, which may include various types of messages like text, images, poll creation, etc.
Show child attributes
Show child attributes
The timestamp of the message, represented as a string.
The status of the message, such as sent, received, or pending.